Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006000TestLinkExport/Importpublic2013-10-28 07:452013-11-06 13:41
ReporterKarenNyre 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSWindows 7 Professional SP 1OS Version
Product Version1.9.8 (2013 Q3 - bug fixing) 
Fixed in Version1.9.9 (2013 Q4 - bug fixing) 
Summary0006000: Import Test cases with requirements - DB access error - Relations not saved
DescriptionTest case XML will be imported, but it seems that the relation to the Requirement cannot be handled (Database error is displayed):


==============================================================================
 DB Access Error - debug_print_backtrace() OUTPUT START
 ==============================================================================
#0 database->exec_query() called at [C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\testlink-1.9.8\lib\functions\requirement_mgr.class.php:1000]
#1 requirement_mgr->assign_to_tcase() called at [C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\testlink-1.9.8\lib\testcases\tcImport.php:668]
0000002 processRequirements() called at [C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\testlink-1.9.8\lib\testcases\tcImport.php:453]
0000003 saveImportedTCData() called at [C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\testlink-1.9.8\lib\testcases\tcImport.php:708]
0000004 importTestCasesFromSimpleXML() called at [C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\testlink-1.9.8\lib\testcases\tcImport.php:163]
0000005 importTestCaseDataFromXML() called at [C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\testlink-1.9.8\lib\testcases\tcImport.php:76]
 ==============================================================================


Testfall : MDB Befehle / MDB Commands
Testfälle importieren
Testfall : MDB-001: Alle MDB Befehle (Schnellprüfung) : ok

Steps To Reproduce1. Define a requirement
2. Define a test case and link this to the requirement.
3. Export requirement as XML
4. Export test case as XML (including the relation to requirement)
5. Import requirement to new testlink platform 1.9.8
6. Import test case to new testlink platform 1.9.8
and then you will receive the database error messages.


Additional InformationDate: 2013-10-21 10:07:18
I googled around and found somebody else reporting this issue :
See:
http://markboy1125.iteye.com/blog/1962033 [^]
  Java?? ????
#0 database->exec_query() called at [C:\xampp\htdocs\testlink\lib\functions\requirement_mgr.class.php:1000]
#1 requirement_mgr->assign_to_tcase() called at [C:\xampp\htdocs\testlink\lib\testcases\tcImport.php:668]
0000002 processRequirements() called at [C:\xampp\htdocs\testlink\lib\testcases\tcImport.php:453]
0000003 saveImportedTCData() called at [C:\xampp\htdocs\testlink\lib\testcases\tcImport.php:938]
0000004 importTestSuitesFromSimpleXML() called at [C:\xampp\htdocs\testlink\lib\testcases\tcImport.php:945]
0000005 importTestSuitesFromSimpleXML() called at [C:\xampp\htdocs\testlink\lib\testcases\tcImport.php:945]
0000006 importTestSuitesFromSimpleXML() called at [C:\xampp\htdocs\testlink\lib\testcases\tcImport.php:169]
0000007 importTestCaseDataFromXML() called at [C:\xampp\htdocs\testlink\lib\testcases\tcImport.php:76]

????????:
Java?? ????
Query failed: errorcode[1064]
     errormsg:You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ''2013-10-21 10:07:18')' at line 1
     [13/Oct/21 08:07:18][AUDIT][ftp6i7qei5rdhl2aruqrspg3g1][GUI]
          Requirement with title '??XQ3' was assigned to the Test Case '??NO-2??XQ2--??????'



????????????req_coverage?SQL???,??author_id??????

????:
testlink\lib\testcases\tcImport.php 668?,
  $reqMgr->assign_to_tcase($cachedReqSpec[$value[ 'req_spec_title']]['req' ][$value['doc_id']],$tcaseId,1);
???? author_id ??,???????,???? 1 ,?admin??

TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL Server 5.6
BrowserChrome Version 30.0.1599.101 m
PHP VersionPHP 5.3.27
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesjpg file icon TestcaseImport_ErrorMessage.JPG [^] (209,158 bytes) 2013-10-28 07:45


xml file icon MDB Befehle - MDB Commands-req-spec.xml [^] (1,367 bytes) 2013-10-28 07:46
xml file icon MDB-001- Alle MDB Befehle (Schnellprüfung).version1.testcase.xml [^] (2,953 bytes) 2013-10-28 07:48
xml file icon MDB Befehle - MDB Commands-child_req.xml [^] (1,024 bytes) 2013-10-28 07:49

- Relationships
child of 0005897closedfman Availables hot-fixes for 1.9.8 & How To get full fixed package from gitorious 

-  Notes
(0019895)
KarenNyre (reporter)
2013-10-29 07:52

A similar situation occurs when I try to generate a test case from requirements (these requirements are also linked with each other).


the testlink error log:
Zeige Ereignisdetails ERROR ON exec_query() - database.class.php
1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ''2013-10-29 07:40:47')' at line 1 - INSERT INTO SVreq_coverage (req_id,testcase_id,author_id,creation_ts) VALUES (680,1095,,'2013-10-29 07:40:47')
THE MESSAGE : INSERT INTO SVreq_coverage (req_id,testcase_id,author_id,creation_ts) VALUES (680,1095,,'2013-10-29 07:40:47') Query failed: errorcode[1064] errormsg:You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ''2013-10-29 07:40:47')' at line 1
(0019896)
fman (administrator)
2013-10-29 13:09

@user
issue on another feature needs another ticket => note (0019895) need to open a new ticket. This is how I work (a known and recognized standard)
(0019928)
KarenNyre (reporter)
2013-10-31 10:38

Hello,
This is just a short notice. (I have to report so that my boss understands what I did with my morning hours.)


The TestLink repo and all developer activities look great in gitorious.
and i downloaded latest version of:
Today: 2013-OCT-31
downloaded current version of TL 1.9.9 - General availability from
[remote "origin"]
    url = git://gitorious.org/testlink-ga/testlink-code.git [^]
    fetch = +refs/heads/*:refs/remotes/origin/*
    
Trying to import test cases which are linked with requirements still produces errors in TL version 1.9.9



The problem reported above still persists.
The GUI shows messages such as:
 ==============================================================================
 DB Access Error - debug_print_backtrace() OUTPUT START
 ==============================================================================
#0 database->exec_query(/* Class:testcase - Method: get_by_external */ SELECT DISTINCT NH_TCASE.id,NH_TCASE.name,NH_TCASE_PARENT.id AS parent_id, NH_TCASE_PARENT.name AS tsuite_name, TCV.tc_external_id FROM O2Gnodes_hierarchy NH_TCASE, O2Gnodes_hierarchy NH_TCASE_PARENT, O2Gnodes_hierarchy NH_TCVERSIONS, O2Gtcversions TCV WHERE NH_TCVERSIONS.id=TCV.id AND NH_TCVERSIONS.parent_id=NH_TCASE.id AND NH_TCASE_PARENT.id=NH_TCASE.parent_id AND NH_TCASE.node_type_id = 3 AND TCV.tc_external_id=177 AND NH_TCASE_PARENT.id = , -1) called at [C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\testlink_1.9.9_work\lib\functions\database.class.php:585]
#1 database->fetchRowsIntoMap(/* Class:testcase - Method: get_by_external */ SELECT DISTINCT NH_TCASE.id,NH_TCASE.name,NH_TCASE_PARENT.id AS parent_id, NH_TCASE_PARENT.name AS tsuite_name, TCV.tc_external_id FROM O2Gnodes_hierarchy NH_TCASE, O2Gnodes_hierarchy NH_TCASE_PARENT, O2Gnodes_hierarchy NH_TCVERSIONS, O2Gtcversions TCV WHERE NH_TCVERSIONS.id=TCV.id AND NH_TCVERSIONS.parent_id=NH_TCASE.id AND NH_TCASE_PARENT.id=NH_TCASE.parent_id AND NH_TCASE.node_type_id = 3 AND TCV.tc_external_id=177 AND NH_TCASE_PARENT.id = , id) called at [C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\testlink_1.9.9_work\lib\functions\testcase.class.php:4713]
0000002 testcase->get_by_external(177, ) called at [C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\testlink_1.9.9_work\lib\testcases\tcImport.php:300]
0000003 saveImportedTCData(database Object ([db] => ADODB_mysql Object ([databaseType] => mysql,[dataProvider] => mysql,[hasInsertID] => 1,[hasAffectedRows] => 1,[metaTablesSQL] => SELECT TABLE_NAME, CASE WHEN TABLE_TYPE = 'VIEW' THEN 'V' ELSE 'T' END FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_SCHEMA=SCHEMA(),[metaColumnsSQL] => SHOW COLUMNS FROM `%s`,[fmtTimeStamp] => 'Y-m-d H:i:s',[hasLimit] => 1,[hasMoveFirst] => 1,[hasGenID] => 1,[isoDates] => 1,[sysDate] => CURDATE(),[sysTimeStamp] => NOW(),[hasTransactions] => ,[forceNewConnect] => 1,[poorAffectedRows] => 1,[clientFlags] => 0,[charSet] => ,[substr] => substring,[nameQuote] => `,[compat323] => ,[_genIDSQL] => update %s set id=LAST_INSERT_ID(id+1);,[_genSeqSQL] => create table %s (id int not null),[_genSeqCountSQL] => select count(*) from %s,[_genSeq2SQL] => insert into %s values (%s),[_dropSeqSQL] => drop table %s,[database] => testlink199,[host] => localhost,[user] => tl199,[password] => not stored,[debug] => ,[maxblobsize] => 262144,[concat_operator] => +,[length] => length,[random] => rand(),[upperCase] => upper,[fmtDate] => 'Y-m-d',[true] => 1,[false] => 0,[replaceQuote] => \',[metaDatabasesSQL] => ,[uniqueOrderBy] => ,[emptyDate] => ,[emptyTimeStamp] => ,[lastInsID] => ,[hasTop] => ,[readOnly] => ,[genID] => 0,[raiseErrorFn] => ,[cacheSecs] => 3600,[memCache] => ,[memCacheHost] => ,[memCachePort] => 11211,[memCacheCompress] => ,[sysUTimeStamp] => ,[arrayClass] => ADORecordSet_array,[noNullStrings] => ,[numCacheHits] => 0,[numCacheMisses] => 0,[pageExecuteCountRows] => 1,[uniqueSort] => ,[leftOuter] => ,[rightOuter] => ,[ansiOuter] => ,[autoRollback] => ,[fnExecute] => ,[fnCacheExecute] => ,[blobEncodeType] => ,[rsPrefix] => ADORecordSet_,[autoCommit] => 1,[transOff] => 0,[transCnt] => 0,[fetchMode] => 2,[null2null] => null,[bulkBind] => ,[_oldRaiseFn] => ,[_transOK] => ,[_connectionID] => Resource id 0000032,[_errorMsg] => You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1,[_errorCode] => ,[_queryID] => Resource id #71,[_isPersistentConnection] => ,[_bindInputArray] => ,[_evalAll] => ,[_affected] => ,[_logsql] => ,[_transmode] => ,[databaseName] => testlink199),[queries_array] => Array (),[is_connected] => 1,[nQuery] => 18,[overallDuration] => 0.88,[dbType] => mysql,[] => 0,[] => 0), Array ([0] => Array ([summary] => ,[preconditions] => ,[node_order] => 0,[externalid] => 177,[execution_type] => 2,[importance] => 2,[status] => ,[name] => Betragregeln3,[internalid] => 972,[steps] => ,[customfields] => Array ([0] => Array ([name] => Class Name,[value] => Betragregeln),[1] => Array ([name] => O2GRunTest,[value] => ))),[1] => Array ([summary] => ,[preconditions] => ,[node_order] => 1,[externalid] => 170,[execution_type] => 2,[importance] => 2,[status] => ,[name] => Betragregeln,[internalid] => 974,[steps] => ,[customfields] => Array ([0] => Array ([name] => Class Name,[value] => e2e2 PhantomJS 1.9 (Linux).Betragregeln),[1] => Array ([name] => O2GRunTest,[value] => ))),[2] => Array ([summary] => ,[preconditions] => ,[node_order] => 2,[externalid] => 172,[execution_type] => 2,[importance] => 2,[status] => ,[name] => Betragregeln1,[internalid] => 976,[steps] => ,[customfields] => Array ([0] => Array ([name] => Class Name,[value] => PhantomJS 1.9 (Linux).Betragregeln),[1] => Array ([name] => O2GRunTest,[value] => ))),[3] => Array ([summary] => ,[preconditions] => ,[node_order] => 3,[externalid] => 174,[execution_type] => 2,[importance] => 2,[status] => ,[name] => Betragregeln2,[internalid] => 978,[steps] => ,[customfields] => Array ([0] => Array ([name] => Class Name,[value] => Betragregeln),[1] => Array ([name] => O2GRunTest,[value] => )))), 1, , 1, , Array ([hitCriteria] => externalID,[actionOnHit] => generate_new)) called at [C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\testlink_1.9.9_work\lib\testcases\tcImport.php:714]
0000004 importTestCasesFromSimpleXML(database Object ([db] => ADODB_mysql Object ([databaseType] => mysql,[dataProvider] => mysql,[hasInsertID] => 1,[hasAffectedRows] => 1,[metaTablesSQL] => SELECT TABLE_NAME, CASE WHEN TABLE_TYPE = 'VIEW' THEN 'V' ELSE 'T' END FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_SCHEMA=SCHEMA(),[metaColumnsSQL] => SHOW COLUMNS FROM `%s`,[fmtTimeStamp] => 'Y-m-d H:i:s',[hasLimit] => 1,[hasMoveFirst] => 1,[hasGenID] => 1,[isoDates] => 1,[sysDate] => CURDATE(),[sysTimeStamp] => NOW(),[hasTransactions] => ,[forceNewConnect] => 1,[poorAffectedRows] => 1,[clientFlags] => 0,[charSet] => ,[substr] => substring,[nameQuote] => `,[compat323] => ,[_genIDSQL] => update %s set id=LAST_INSERT_ID(id+1);,[_genSeqSQL] => create table %s (id int not null),[_genSeqCountSQL] => select count(*) from %s,[_genSeq2SQL] => insert into %s values (%s),[_dropSeqSQL] => drop table %s,[database] => testlink199,[host] => localhost,[user] => tl199,[password] => not stored,[debug] => ,[maxblobsize] => 262144,[concat_operator] => +,[length] => length,[random] => rand(),[upperCase] => upper,[fmtDate] => 'Y-m-d',[true] => 1,[false] => 0,[replaceQuote] => \',[metaDatabasesSQL] => ,[uniqueOrderBy] => ,[emptyDate] => ,[emptyTimeStamp] => ,[lastInsID] => ,[hasTop] => ,[readOnly] => ,[genID] => 0,[raiseErrorFn] => ,[cacheSecs] => 3600,[memCache] => ,[memCacheHost] => ,[memCachePort] => 11211,[memCacheCompress] => ,[sysUTimeStamp] => ,[arrayClass] => ADORecordSet_array,[noNullStrings] => ,[numCacheHits] => 0,[numCacheMisses] => 0,[pageExecuteCountRows] => 1,[uniqueSort] => ,[leftOuter] => ,[rightOuter] => ,[ansiOuter] => ,[autoRollback] => ,[fnExecute] => ,[fnCacheExecute] => ,[blobEncodeType] => ,[rsPrefix] => ADORecordSet_,[autoCommit] => 1,[transOff] => 0,[transCnt] => 0,[fetchMode] => 2,[null2null] => null,[bulkBind] => ,[_oldRaiseFn] => ,[_transOK] => ,[_connectionID] => Resource id 0000032,[_errorMsg] => You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1,[_errorCode] => ,[_queryID] => Resource id #71,[_isPersistentConnection] => ,[_bindInputArray] => ,[_evalAll] => ,[_affected] => ,[_logsql] => ,[_transmode] => ,[databaseName] => testlink199),[queries_array] => Array (),[is_connected] => 1,[nQuery] => 18,[overallDuration] => 0.88,[dbType] => mysql,[] => 0,[] => 0), SimpleXMLElement Object ([testcase] => Array ([0] => SimpleXMLElement Object ([@attributes] => Array ([internalid] => 972,[name] => Betragregeln3),[node_order] => SimpleXMLElement Object (),[externalid] => SimpleXMLElement Object (),[version] => SimpleXMLElement Object (),[summary] => SimpleXMLElement Object (),[preconditions] => SimpleXMLElement Object (),[execution_type] => SimpleXMLElement Object (),[importance] => SimpleXMLElement Object (),[custom_fields] => SimpleXMLElement Object ([custom_field] => Array ([0] => SimpleXMLElement Object ([name] => SimpleXMLElement Object (),[value] => SimpleXMLElement Object ()),[1] => SimpleXMLElement Object ([name] => SimpleXMLElement Object (),[value] => SimpleXMLElement Object ())))),[1] => SimpleXMLElement Object ([@attributes] => Array ([internalid] => 974,[name] => Betragregeln),[node_order] => SimpleXMLElement Object (),[externalid] => SimpleXMLElement Object (),[version] => SimpleXMLElement Object (),[summary] => SimpleXMLElement Object (),[preconditions] => SimpleXMLElement Object (),[execution_type] => SimpleXMLElement Object (),[importance] => SimpleXMLElement Object (),[custom_fields] => SimpleXMLElement Object ([custom_field] => Array ([0] => SimpleXMLElement Object ([name] => SimpleXMLElement Object (),[value] => SimpleXMLElement Object ()),[1] => SimpleXMLElement Object ([name] => SimpleXMLElement Object (),[value] => SimpleXMLElement Object ())))),[2] => SimpleXMLElement Object ([@attributes] => Array ([internalid] => 976,[name] => Betragregeln1),[node_order] => SimpleXMLElement Object (),[externalid] => SimpleXMLElement Object (),[version] => SimpleXMLElement Object (),[summary] => SimpleXMLElement Object (),[preconditions] => SimpleXMLElement Object (),[execution_type] => SimpleXMLElement Object (),[importance] => SimpleXMLElement Object (),[custom_fields] => SimpleXMLElement Object ([custom_field] => Array ([0] => SimpleXMLElement Object ([name] => SimpleXMLElement Object (),[value] => SimpleXMLElement Object ()),[1] => SimpleXMLElement Object ([name] => SimpleXMLElement Object (),[value] => SimpleXMLElement Object ())))),[3] => SimpleXMLElement Object ([@attributes] => Array ([internalid] => 978,[name] => Betragregeln2),[node_order] => SimpleXMLElement Object (),[externalid] => SimpleXMLElement Object (),[version] => SimpleXMLElement Object (),[summary] => SimpleXMLElement Object (),[preconditions] => SimpleXMLElement Object (),[execution_type] => SimpleXMLElement Object (),[importance] => SimpleXMLElement Object (),[custom_fields] => SimpleXMLElement Object ([custom_field] => Array ([0] => SimpleXMLElement Object ([name] => SimpleXMLElement Object (),[value] => SimpleXMLElement Object ()),[1] => SimpleXMLElement Object ([name] => SimpleXMLElement Object (),[value] => SimpleXMLElement Object ())))))), , 1, 1, , Array ([hitCriteria] => externalID,[actionOnHit] => generate_new)) called at [C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\testlink_1.9.9_work\lib\testcases\tcImport.php:132]
0000005 importTestCaseDataFromXML(database Object ([db] => ADODB_mysql Object ([databaseType] => mysql,[dataProvider] => mysql,[hasInsertID] => 1,[hasAffectedRows] => 1,[metaTablesSQL] => SELECT TABLE_NAME, CASE WHEN TABLE_TYPE = 'VIEW' THEN 'V' ELSE 'T' END FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_SCHEMA=SCHEMA(),[metaColumnsSQL] => SHOW COLUMNS FROM `%s`,[fmtTimeStamp] => 'Y-m-d H:i:s',[hasLimit] => 1,[hasMoveFirst] => 1,[hasGenID] => 1,[isoDates] => 1,[sysDate] => CURDATE(),[sysTimeStamp] => NOW(),[hasTransactions] => ,[forceNewConnect] => 1,[poorAffectedRows] => 1,[clientFlags] => 0,[charSet] => ,[substr] => substring,[nameQuote] => `,[compat323] => ,[_genIDSQL] => update %s set id=LAST_INSERT_ID(id+1);,[_genSeqSQL] => create table %s (id int not null),[_genSeqCountSQL] => select count(*) from %s,[_genSeq2SQL] => insert into %s values (%s),[_dropSeqSQL] => drop table %s,[database] => testlink199,[host] => localhost,[user] => tl199,[password] => not stored,[debug] => ,[maxblobsize] => 262144,[concat_operator] => +,[length] => length,[random] => rand(),[upperCase] => upper,[fmtDate] => 'Y-m-d',[true] => 1,[false] => 0,[replaceQuote] => \',[metaDatabasesSQL] => ,[uniqueOrderBy] => ,[emptyDate] => ,[emptyTimeStamp] => ,[lastInsID] => ,[hasTop] => ,[readOnly] => ,[genID] => 0,[raiseErrorFn] => ,[cacheSecs] => 3600,[memCache] => ,[memCacheHost] => ,[memCachePort] => 11211,[memCacheCompress] => ,[sysUTimeStamp] => ,[arrayClass] => ADORecordSet_array,[noNullStrings] => ,[numCacheHits] => 0,[numCacheMisses] => 0,[pageExecuteCountRows] => 1,[uniqueSort] => ,[leftOuter] => ,[rightOuter] => ,[ansiOuter] => ,[autoRollback] => ,[fnExecute] => ,[fnCacheExecute] => ,[blobEncodeType] => ,[rsPrefix] => ADORecordSet_,[autoCommit] => 1,[transOff] => 0,[transCnt] => 0,[fetchMode] => 2,[null2null] => null,[bulkBind] => ,[_oldRaiseFn] => ,[_transOK] => ,[_connectionID] => Resource id 0000032,[_errorMsg] => You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1,[_errorCode] => ,[_queryID] => Resource id #71,[_isPersistentConnection] => ,[_bindInputArray] => ,[_evalAll] => ,[_affected] => ,[_logsql] => ,[_transmode] => ,[databaseName] => testlink199),[queries_array] => Array (),[is_connected] => 1,[nQuery] => 18,[overallDuration] => 0.88,[dbType] => mysql,[] => 0,[] => 0), C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\testlink_1.9.9_work\gui\templates_c\lk9u232mdlvhjg88d4jkknki13-importtcs.xml, , 1, 1, Array ([useRecursion] => ,[importIntoProject] => ,[duplicateLogic] => Array ([hitCriteria] => externalID,[actionOnHit] => generate_new))) called at [C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\testlink_1.9.9_work\lib\testcases\tcImport.php:67]
 ==============================================================================
  

The event log shows errors such as:

Log level ERROR
Timestamp 31/10/2013 10:24:22
Source DATABASE
Description ERROR ON exec_query() - database.class.php
1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1 - /* Class:tree - Method: _get_path */ SELECT * from O2Gnodes_hierarchy WHERE id =
THE MESSAGE : SQL [26] executed [took 0.0020 secs][all took 1.67 secs]: /* Class:tree - Method: _get_path */ SELECT * from O2Gnodes_hierarchy WHERE id = Query failed: errorcode[1064] errormsg:You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1
Session information
User admin
Session ID lk9u232mdlvhjg88d4jkknki13


 
 HTH
 
 Valerie Nyre
(0019932)
fman (administrator)
2013-10-31 15:14

One important think that will be useful, is to use common lexycom.
When talking of test case and requirements we do not talk of relations
but of ASSIGMENT.
The feature is called 'Requirement Assignment'.
ON Testlink when the relation term is used regarding requirements we understand relatiosn BETWEEN REQUIREMENTS.

Firt step towards a solution is clear terms.
You can not use YOUR TERMS, you have to use TestLink Terms
(0019933)
fman (administrator)
2013-10-31 15:30
edited on: 2013-10-31 15:56

A. Create Test Project: Speedy Gonzales
B. Create Two Test Suites Asiago and Bra
C. Create inside Asiago, test cases: TC-1A,TC-1B,TC-1C
D. Create inside Bra, test cases: TC-1A,TC-1B,TC-1C

1. Create Req Spec: RSPEC-1000
2. Create Requirement: REQ-001
3. Link REQ-0001 to Asiago\TC-1A
4. Export Requirement Spec as XML
5. Export whole test project test case as XML (including the relation to requirement)

6. Create a new Test Project: Tasmanian Devil
7. Import Req Spec XML (created on 4)
8. Import Test Project with test cases with req assignment (created on 5).

issue reason: missing parameter on assign_to_tcase() call on processRequirements() on tcImport.php

(0019934)
fman (administrator)
2013-10-31 15:58

https://gitorious.org/testlink-ga/testlink-code/commit/5e8c2311afea6450a898a0d373be5496be1e1491 [^]
(0019971)
KarenNyre (reporter)
2013-11-06 12:46

Verified and found that is now working. Thank you.

- Issue History
Date Modified Username Field Change
2013-10-28 07:45 KarenNyre New Issue
2013-10-28 07:45 KarenNyre File Added: TestcaseImport_ErrorMessage.JPG
2013-10-28 07:46 KarenNyre File Added: MDB Befehle - MDB Commands-req-spec.xml
2013-10-28 07:48 KarenNyre File Added: MDB-001- Alle MDB Befehle (Schnellprüfung).version1.testcase.xml
2013-10-28 07:49 KarenNyre File Added: MDB Befehle - MDB Commands-child_req.xml
2013-10-29 07:52 KarenNyre Note Added: 0019895
2013-10-29 13:09 fman Note Added: 0019896
2013-10-31 10:38 KarenNyre Note Added: 0019928
2013-10-31 15:14 fman Note Added: 0019932
2013-10-31 15:30 fman Note Added: 0019933
2013-10-31 15:36 fman Note Edited: 0019933 View Revisions
2013-10-31 15:39 fman Note Edited: 0019933 View Revisions
2013-10-31 15:54 fman Note Edited: 0019933 View Revisions
2013-10-31 15:54 fman Note View State: 0019933: public
2013-10-31 15:56 fman Note Edited: 0019933 View Revisions
2013-10-31 15:56 fman Summary Test cases with relation to requirements - Relation to requirements produces DB access error - Relations not saved => Import Test cases with requirements - DB access error - Relations not saved
2013-10-31 15:56 fman Steps to Reproduce Updated View Revisions
2013-10-31 15:56 fman Additional Information Updated View Revisions
2013-10-31 15:58 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-10-31 15:58 fman Note Added: 0019934
2013-10-31 15:58 fman Status new => resolved
2013-10-31 15:58 fman Fixed in Version => 1.9.9 (2013 Q4 - bug fixing)
2013-10-31 15:58 fman Resolution open => fixed
2013-10-31 15:58 fman Assigned To => fman
2013-10-31 15:59 fman Relationship added child of 0005897
2013-11-06 12:46 KarenNyre Note Added: 0019971
2013-11-06 13:41 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker